Imports Microsoft.VisualBasic

Namespace Chapter9

    ''' <summary>
    ''' This is the Movie class.  The namespace has been included
    ''' in order to avoid name collisions between this class and
    ''' the Movie class defined by the LINQ to SQL class designer
    ''' </summary>
    ''' <remarks></remarks>
    Public Class Movie
        Private _title As String
        Private _director As String
        Private _genre As Integer
        Private _runtime As Integer
        Private _releasedate As DateTime

        Public Property Title() As String
            Get
                Return _title
            End Get
            Set(ByVal value As String)
                _title = value
            End Set
        End Property

        Public Property Director() As String
            Get
                Return _director
            End Get
            Set(ByVal value As String)
                _director = value
            End Set
        End Property

        Public Property Genre() As Integer
            Get
                Return _genre
            End Get
            Set(ByVal value As Integer)
                _genre = value
            End Set
        End Property

        Public Property Runtime() As Integer
            Get
                Return _runtime
            End Get
            Set(ByVal value As Integer)
                _runtime = value
            End Set
        End Property

        Public Property ReleaseDate() As DateTime
            Get
                Return _releasedate
            End Get
            Set(ByVal value As DateTime)
                _releasedate = value
            End Set
        End Property
    End Class

End Namespace
